package com.chenyang.druid.sql.ast;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.visitor.VisitorFeature;
import java.util.List;

public interface SQLStatement extends SQLObject, SQLDbTypedObject {
   DbType getDbType();

   boolean isAfterSemi();

   void setAfterSemi(boolean var1);

   SQLStatement clone();

   List<SQLObject> getChildren();

   List<SQLCommentHint> getHeadHintsDirect();

   void setHeadHints(List<SQLCommentHint> var1);

   String toString();

   String toString(VisitorFeature... var1);

   String toLowerCaseString();

   String toParameterizedString();
}
